using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.IO;

namespace skyscraper8.InteractionChannel.Model2
{
	public class Rcs2Tdt : Validatable
	{
		public Rcs2Tdt(MemoryStream ms)
		{
			DateTime? dateTime = ms.ReadEtsiEn300468AnnexCDateTime();
			if (!dateTime.HasValue)
			{
				Valid = false;
				return;
			}

			Timestamp = dateTime.Value;
			Valid = true;
		}

		public DateTime Timestamp { get; set; }
	}
}
